<?php

use Illuminate\Database\Migrations\Migration;

class CreateTasksTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: tasks
         */
        Schema::create('tasks', function ($table) {
            $table->increments('id');
            $table->integer('parent_id')->nullable();
            $table->integer('assign_id')->nullable();
            $table->dateTime('estimate_time')->nullable();
            $table->dateTime('actual_time')->nullable();
            $table->string('task', 255)->nullable();
            $table->string('status', 255)->nullable();
            $table->string('slug', 200)->nullable();
            $table->enum('status', ['draft', 'published', 'hidden', 'suspended', 'spam'])->default('draft')->nullable();
            $table->integer('user_id')->nullable();
            $table->string('upload_folder', 100)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('tasks');
    }
}
