@extends('admin::curd.index')
@section('heading')
<i class="fa fa-file-text-o"></i> {!! trans('task::task.name') !!} <small> {!! trans('cms.manage') !!} {!! trans('task::task.names') !!}</small>
@stop

@section('title')
{!! trans('task::task.names') !!}
@stop

@section('breadcrumb')
<ol class="breadcrumb">
    <li><a href="{!! trans_url('admin') !!}"><i class="fa fa-dashboard"></i> {!! trans('cms.home') !!} </a></li>
    <li class="active">{!! trans('task::task.names') !!}</li>
</ol>
@stop

@section('entry')
<div class="box box-warning" id='task-task-entry'>
</div>
@stop

@section('tools')
@stop

@section('content')
<table id="task-task-list" class="table table-striped table-bordered">
    <thead>
        <th>{!! trans('task::task.label.parent_id')!!}</th>
                    <th>{!! trans('task::task.label.assign_id')!!}</th>
                    <th>{!! trans('task::task.label.estimate_time')!!}</th>
                    <th>{!! trans('task::task.label.actual_time')!!}</th>
                    <th>{!! trans('task::task.label.task')!!}</th>
                    <th>{!! trans('task::task.label.status')!!}</th>
    </thead>
</table>
@stop

@section('script')
<script type="text/javascript">

var oTable;
$(document).ready(function(){
    app.load('#task-task-entry', '{!!URL::to('admin/task/task/0')!!}');
    oTable = $('#task-task-list').dataTable( {
        "ajax": '{!! URL::to('/admin/task/task') !!}',
        "columns": [
            {data :'parent_id'},
                    {data :'assign_id'},
                    {data :'estimate_time'},
                    {data :'actual_time'},
                    {data :'task'},
                    {data :'status'},
        ],
        "pageLength": 50
    });

    $('#task-task-list tbody').on( 'click', 'tr', function () {

        if ($(this).hasClass('selected') ) {
            $(this).removeClass('selected');
        } else {
            oTable.$('tr.selected').removeClass('selected');
            $(this).addClass('selected');
        }

        var d = $('#task-task-list').DataTable().row( this ).data();

        $('#task-task-entry').load('{!!URL::to('admin/task/task')!!}' + '/' + d.id);

    });
});
</script>
@stop

@section('style')
@stop

